### Constructor

# Gtk ScaleButtonnew

#### Declaration [src]

    GtkWidget*
    gtk_scale_button_new (
      double min,
      double max,
      double step,
      const char** icons
    )

#### Description [src]

Creates a `GtkScaleButton`.

The new scale button has a range between `min` and `max`, with a stepping of `step`.

#### Parameters

`min`

  Type: `double`

  The minimum value of the scale (usually 0)

`max`

  Type: `double`

  The maximum value of the scale (usually 100)

`step`

  Type: `double`

  The stepping of value when a scroll-wheel event, or up/down arrow event occurs (usually 2)

`icons`

  Type: An array of `char*`

  A `NULL`-terminated array of icon names, or `NULL` if you want to set the list later with `gtk_scale_button_set_icons()`

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A new `GtkScaleButton`

The data is owned by the called function.